/*
 * $Id: cleanup.C,v 1.4 1995/12/09 19:00:29 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994, 1995  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>

#include "cleanup.H"
#include "addvutil.H"
#include "makeroom.H"
#include "openfile.H"
#include "lockfile.H"

/***************************************************************************/

int cleanup( int room, int parent, char *roomword, 
              char *filepath, char *urlpath, char *binpath ){

  // We should delete the temp file, open file, and the "in progress" message
  char *tempfile = make_fname( filepath, room, "temp" );
  remove( tempfile );

  OpenFile openfile( filepath, room );
  openfile.remove();

  char *filename = make_fname( filepath, room, "html" );
  remove( filename );

  // Then re-create the original state
  make_room( filepath, urlpath, binpath, roomword, room, parent );
  LockFile lockfile( filepath, room );
  lockfile.create( parent );

  free( tempfile );

  return 1;   // @@@
}

/***************************************************************************/

/*
 * $Log: cleanup.C,v $
 * Revision 1.4  1995/12/09  19:00:29  asf
 * Now we need to delete the episode before we try to create it again,
 * fixing a bug.
 *
 * Revision 1.3  1995/01/01  16:38:14  asf
 * Added support for the "room word"
 *
 * Revision 1.2  1994/10/01  15:42:15  asf
 * Changed to use of OpenFile and LockFile objects
 *
 * Revision 1.1  1994/09/25  11:16:38  asf
 * Initial revision
 *
 */
