/*
 * $Id: option.H,v 1.2 1994/08/26 16:51:42 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _OPTION_H
#define _OPTION_H

#ifndef NULL
#define NULL (void *)0;
#endif

/***************************************************************************/

class Option{
public:
  Option( char *desc = NULL, int room = 0 );
  ~Option();

  // Accessors
  char *description();
  int room();

  // Set values
  void set( char *desc, int room );
  void set( char *desc );
  void set( int room );
  
private:
  char *_desc;
  int   _room;
};

/***************************************************************************/

class OptionArray{
public:
  OptionArray( int size );  // Allocate "size" spaces from 1 to "size"
  ~OptionArray();           // Free all options

  Option *operator[]( int index );
  int size();
  
private:
  Option *_o;
  int _size;
};

/***************************************************************************/

#endif

/*
 * $Log: option.H,v $
 * Revision 1.2  1994/08/26  16:51:42  asf
 * Added the size() accessor.
 *
 * Revision 1.1  1994/08/26  16:44:43  asf
 * Initial revision
 *
 */
