/*
 * $Id: setting.H,v 1.3 1996/08/17 20:18:20 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1991-1996  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _SETTING_H
#define _SETTING_H

#include <stdio.h>

// Added specifically for Addventure
#include "opt.H"

class Setting{
public:
  // Constructor/Destructor
  Setting( char *path );
  ~Setting();

  char *getLabel( char *label, char *defValue );
  char *getLabel( char *label );

  int setLabel( char *label, char *value=NULL );
  /*
   * Reads the file and searches for the line containing the label.
   * If the label is found, it and the value are written to the file
   * in the form "label = value".  It will only change the first found
   * matching label.  If the label is not found, it and the value will be
   * written at the end of the file.
   *
   * If value is NULL, then the label is deleted from the file.
   * 
   * Returns 0 if an error was detected (some of the operation may have
   * succeeded).  Returns 1 if success.
   */
   

private:
  char *filename;
};

#endif

/*
 * $Log: setting.H,v $
 * Revision 1.3  1996/08/17 20:18:20  asf
 * Changed copyright
 * Added description to setLabel()
 * Added default value for setLabel()
 *
 * Revision 1.2  1994/09/14 13:48:26  asf
 * Removed the set() accessor (now in SetAddv)
 *
 * Revision 1.1  1994/08/04  20:52:00  asf
 * Initial revision
 *
 */
