/*
 * $Id: undo.H,v 1.2 1996/08/15 23:40:34 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _UNDO_H
#define _UNDO_H

/***************************************************************************/

class Undo{
public:
  // Constructor/Destructor
  Undo( char *coded );
  Undo( int room, int parent, int nojava=0 );
  ~Undo();

  // Accessors
  char *coded_value();   // Return a newly allocated string
  int room();
  int parent();
  int dojava();
  
private:
  int v_room;
  int v_parent;
  int v_nojava;  // Boolean.  Don't do Java.
};

/***************************************************************************/

#endif

/*
 * $Log: undo.H,v $
 * Revision 1.2  1996/08/15 23:40:34  asf
 * Added the dojava() function.
 * Extended the constructor to set a hints boolean if the new page
 * should be created using java or not.
 *
 * Revision 1.1  1994/08/20 22:06:23  asf
 * Initial revision
 *
 */
